[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVDataFindEvent

Specifies an event handler used to locate a list view item using the specified search parameters and criteria.

## Declaration

Source position: comctrls.pp line 1298

`type TLVDataFindEvent = procedure(`
`Sender: TObject;`
`AFind: TItemFind;`
`const AFindString: string;`
`const AFindPosition: TPoint;`
`AFindData: Pointer;`
`AStartIndex: Integer;`
`ADirection: TSearchDirection;`
`AWrap: Boolean;`
`var AIndex: Integer`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. (TCustomListView)
`AFind` |  | TItemFInd value with the search type or strategy used in the handler routine.
`AFindString` |  | String value to locate in the list items.
`AFindPosition` |  | TPoint instance with the initial position for a find nearest search.
`AFindData` |  | Find parameter flag values used in the search. Includes the content provided by the widgetset class instance.
`AStartIndex` |  | Initial position in the list item storage where the search is started. The default value (0) starts at the first list item.
`ADirection` |  | Indicates the search direction when using a find nearest search type.
`AWrap` |  | True if the search can continue at the beginning of the list item storage when a match is not found.
`AIndex` |  | Returns the position where the matching list item was found, or -1 when no match is found.

## Description

TLVDataFindEvent is the type used for the OnDataFind property in TCustomListView. Use the arguments to the handler to determine the actions performed in its implementation.

## See also

TCustomListView.OnDataFind |  | Event handler signalled to locate list item data when OwnerData (virtual) mode is enabled.
TCustomListView.DoOwnerDataFind |  | Implements incremental search in list items when OwnerData has been enabled.